Find_Package(OpenCV)
include(FetchContent)

if(NOT DEFINED OPENCV_REPO)
    set(OPENCV_REPO https://github.com/opencv/opencv.git)
endif ()

if (NOT OpenCV_FOUND)
    FetchContent_Declare(
            opencv
            EXCLUDE_FROM_ALL
            GIT_REPOSITORY ${OPENCV_REPO}
            GIT_TAG v4.8.1
            GIT_SHALLOW TRUE
    )
    FetchContent_MakeAvailable(opencv)
endif()